Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCellCenters Class Reference

`#include <vtkCellCenters.h>`

Inheritance diagram for vtkCellCenters:

[legend]
Collaboration diagram for vtkCellCenters:

[legend]
List of all members.

## Detailed Description

generate points at center of cells

Date:
  2002/01/22 15:29:09

Revision:
  1.17

vtkCellCenters is a filter that takes as input any dataset and generates on output points at the center of the cells in the dataset. These points can be used for placing glyphs (vtkGlyph3D) or labeling (vtkLabeledDataMapper). (The center is the parametric center of the cell, not necessarily the geometric or bounding box center.) The cell attributes will be associated with the points on output.

Warning:
  You can choose to generate just points or points and vertex cells. Vertex cells are drawn during rendering; points are not. Use the ivar VertexCells to generate cells.

See also:
  vtkGlyph3D vtkLabeledDataMapper

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (66%)
  - Martin, Ken (7%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkCellCenters.cxx)`
  - .`h` (`/Graphics/vtkCellCenters.h)`

Examples:
  vtkCellCenters (Examples)

Tests:
  vtkCellCenters (Tests)

Definition at line 61 of file vtkCellCenters.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetVertexCells (int)
virtual int | GetVertexCells ()
virtual void | VertexCellsOn ()
virtual void | VertexCellsOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkCellCenters * | SafeDownCast (vtkObject *o)
vtkCellCenters * | New ()
## Protected Methods
| vtkCellCenters ()
| ~vtkCellCenters ()
void | Execute ()
## Protected Attributes
int | VertexCells

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkCellCenters::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 64 of file vtkCellCenters.h.

## Constructor & Destructor Documentation

vtkCellCenters::vtkCellCenters | ( |  | ) | `[protected]`

vtkCellCenters::~vtkCellCenters | ( |  | ) | `[inline, protected]`

| Definition at line 79 of file vtkCellCenters.h.

## Member Function Documentation

virtual const char* vtkCellCenters::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkCellCenters::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkCellCenters::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkCellCenters* vtkCellCenters::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkCellCenters::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

vtkCellCenters* vtkCellCenters::New | ( |  | ) | `[static]`

| Construct object with vertex cell generation turned off. Reimplemented from vtkObject.

virtual void vtkCellCenters::SetVertexCells | ( | int |  | ) | `[virtual]`

| Enable/disable the generation of vertex cells.

virtual int vtkCellCenters::GetVertexCells | ( |  | ) | `[virtual]`

| Enable/disable the generation of vertex cells.

virtual void vtkCellCenters::VertexCellsOn | ( |  | ) | `[virtual]`

| Enable/disable the generation of vertex cells.

virtual void vtkCellCenters::VertexCellsOff | ( |  | ) | `[virtual]`

| Enable/disable the generation of vertex cells.

void vtkCellCenters::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkCellCenters::VertexCells`[protected]`

| Definition at line 83 of file vtkCellCenters.h.

The documentation for this class was generated from the following file:

- Graphics/vtkCellCenters.h